Temso Docs
API referencePublishing

Confirm Publish

Confirms that a delivered publish payload was applied at the destination (used by the Temso Zapier app's Confirm publication action). Drives the publication to succeeded and records the external post. Replays with the same idempotency key are no-ops.

POST
/projects/{projectId}/zapier/publish-confirmations

Confirms that a delivered publish payload was applied at the destination (used by the Temso Zapier app's Confirm publication action). Drives the publication to succeeded and records the external post. Replays with the same idempotency key are no-ops.

Path Parameters

projectId*string

Project ID (see List Projects)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/zapier/publish-confirmations" \  -H "Content-Type: application/json" \  -d '{    "publicationId": "string",    "remoteState": "draft",    "idempotencyKey": "string"  }'
{
  "publicationId": "string",
  "operationState": "string",
  "remoteState": "string"
}